## Package org.codehaus.groovy.antlr

Parser related classes.

See:
Description

Interface Summary
AntlrASTProcessor: An interface for processing antlr AST objects

Class Summary
AntlrASTProcessSnippets
AntlrParserPlugin: A parser plugin which adapts the JSR Antlr Parser to the Groovy runtime
AntlrParserPluginFactory
EnumHelper
GroovySourceAST: We have an AST subclass so we can track source information.
LexerFrame
LineColumn: An object representing a line and column position
SourceBuffer: A simple buffer that provides line/col access to chunks of source code held within itself.
UnicodeEscapingReader: Translates GLS-defined unicode escapes into characters.

Exception Summary
ASTParserException: Thrown when trying to parse the AST
ASTRuntimeException

## Package org.codehaus.groovy.antlr Description

Parser related classes.

Copyright © 2003-2008 The Codehaus. All rights reserved.